Subject: Non-member submission from ["Hanson,Gary" <[email-masked]>]]

From: ted brunner <[email-masked]>
Date: Thu, 16 Dec 1999 11:14:05 -0800

-------- Original Message --------
Date: Tue, 14 Dec 1999 16:44:52 -0800 (PST)
From: "Hanson,Gary" <[email-masked]>
To: "C. M. Heard/VVNET, Inc." <[email-masked]>
cc: [email-masked], Keith McCloghrie <[email-masked]>, [email-masked]
Subject: Re: Last Call: The Inverted Stack Table Extension to the 
Interfaces
 Group MIB to Proposed Standard
In-Reply-To:
<[email-masked]>
Message-ID: <[email-masked]>
MIME-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII

Mike,

I think you make a very good point.  If the IF-INVERTED-STACK-MIB
depends on optional objects from the IF-MIB, it would make sense to
add ifStackGroup2 from the IF-MIB as a mandatory group, to indicate
explicitly that the objects in that group are also mandatory for
implementors of the IF-INVERTED-STACK-MIB.

Thanks for noticing this issue.  One could say: "Well now, wouldn't
that be obvious?"  But one could just as easily say: "If that is so
obvious, why didn't we mention it."  Actually, I think that this was
missed at the point when ifStackGroup2 was removed from the list of
mandatory groups in IF-MIB.

Gary

On Tue, 14 Dec 1999, C. M. Heard/VVNET, Inc. wrote:

> On Tue, 14 Dec 1999, The IESG wrote:
> 
> > The IESG has received a request from the Interfaces MIB Working Group
> > to consider The Inverted Stack Table Extension to the Interfaces Group
> > MIB <draft-ietf-ifmib-invstackmib-02.txt> as a Proposed Standard.
> >
> > The IESG plans to make a decision in the next few weeks, and solicits
> > final comments on this action.  Please send any comments to the
> > [email-masked] or [email-masked] mailing lists by December 28, 1999.
> 
> It is seems clear from reading <draft-ietf-ifmib-invstackmib-02.txt>
> that a conforming implementation of the IF-INVERTED-STACK-MIB is
> also required to implement ifStackGroup2 from the IF-MIB, but the
> conformance statements do not reflect this.
> 
> On the one hand, the ifInvStackTable DESCRIPTION clause states
> that "[t]his table contains exactly the same number of rows as
> the ifStackTable, but the rows appear in a different order", and
> the ifInvStackStatus DESCRIPTION clause states that "[a]n instance
> of this object exists for each instance of the ifStackStatus object,
> and vice versa".  Moreover, since ifInvStackStatus is read-only,
> there is no independent means to create delete rows in the
> ifInvStackTable.  That is done automatically when rows in the
> ifStackTable are created and deleted, and timestamps are
> recorded by ifStackLastChange.  So it seems that both of the
> objects in IF-MIB's ifStackGroup2 (ifStackStatus and
> ifStackLastChange) need to be implemented if the inverted
> stack table is implemented.
> 
> One the other hand, the only mandatory group in ifInvCompliance is
> ifInvStackGroup (which contains ifInvStackStatus), and ifStackGroup2
> is an unconditionally optional group in the latest version of the
> IF-MIB in <draft-ietf-ifmib-ifmib2-01.txt> (now in last call).
> 
> The question arises whether ifStackGroup2 should be added to the list
> of mandatory groups in ifInvCompliance.
> 
> Mike
> --
> C. M. Heard/VVNET, Inc.
> [email-masked]
>